Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mail
Class MailData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.mail.MailData

All Implemented Interfaces:
  StepDataInterface

    public class MailData

extends BaseStepData
implements StepDataInterface

Send mail step. based on Mail job entry

Since:
  28-07-2008
Author:
  Samatar

Field Summary
`int` | `indexOfAuthenticationPass`
`int` | `indexOfAuthenticationUser`
`int` | `indexOfComment`
`int` | `indexOfContactPerson`
`int` | `indexOfContactPhone`
`int` | `indexOfDestination`
`int` | `indexOfDestinationBCc`
`int` | `indexOfDestinationCc`
`int` | `indexOfDynamicZipFilename`
`int` | `indexOfPort`
`int` | `indexOfReplyToAddresses`
`int` | `indexOfSenderAddress`
`int` | `indexOfSenderName`
`int` | `indexOfServer`
`int` | `indexOfSourceFilename`
`int` | `indexOfSourceWildcard`
`int` | `indexOfSubject`
`javax.mail.Multipart` | `parts`
`org.pentaho.di.core.row.RowMetaInterface` | `previousRowMeta`
`String` | `realSourceFileFoldername`
`String` | `realSourceWildcard`
`long` | `zipFileLimit`
`String` | `ZipFilename`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`MailData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### indexOfDestination

    public int indexOfDestination

### indexOfDestinationCc

    public int indexOfDestinationCc

### indexOfDestinationBCc

    public int indexOfDestinationBCc

### indexOfSenderName

    public int indexOfSenderName

### indexOfSenderAddress

    public int indexOfSenderAddress

### indexOfContactPerson

    public int indexOfContactPerson

### indexOfContactPhone

    public int indexOfContactPhone

### indexOfServer

    public int indexOfServer

### indexOfPort

    public int indexOfPort

### indexOfAuthenticationUser

    public int indexOfAuthenticationUser

### indexOfAuthenticationPass

    public int indexOfAuthenticationPass

### indexOfSubject

    public int indexOfSubject

### indexOfComment

    public int indexOfComment

### indexOfSourceFilename

    public int indexOfSourceFilename

### indexOfSourceWildcard

    public int indexOfSourceWildcard

### zipFileLimit

    public long zipFileLimit

### indexOfDynamicZipFilename

    public int indexOfDynamicZipFilename

### ZipFilename

    public String ZipFilename

### parts

    public javax.mail.Multipart parts

### previousRowMeta

    public org.pentaho.di.core.row.RowMetaInterface previousRowMeta

### indexOfReplyToAddresses

    public int indexOfReplyToAddresses

### realSourceFileFoldername

    public String realSourceFileFoldername

### realSourceWildcard

    public String realSourceWildcard

Constructor Detail

### MailData

    public MailData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD